Skip to main content

Historical Strikes (REST)

Retrieve lightning strikes over a defined time range (maximum 24 hours).

Endpoint​

GET `https://api.lightning.metservice.com/strikes`

Query Parameters​

ParameterTypeDescription
bboxstringThe bounding box for the search area: minLon,minLat,maxLon,maxLat.
startAtstringThe start time in ISO 8601 format (UTC).
endAtstringThe end time in ISO 8601 format (UTC).
providersstringComma-separated list of data providers to include.

Supported Providers​

  • transpower (MetService NZ lightning network): High-precision lightning data for the New Zealand region.
  • toa (AccuWeather global detection network): Global lightning detection network providing wide-area coverage.

Example Request​

curl --request GET \
--url '`https://api.lightning.metservice.com/strikes?bbox=155,-55,190,-25&startAt=2025-12-01T01:21:49Z&endAt=2025-12-01T04:21:49Z&providers=transpower'` \
--header 'accept: application/json' \
--header 'x-api-key: YOUR_API_KEY'
info

HTTP requests support authentication via x-api-key:

GET /strikes
x-api-key: YOUR_API_KEY

or Authorization header:

GET /strikes
Authorization: Bearer YOUR_SHORT_LIVED_TOKEN

Example Response​

{
"message": "Recent Strikes successfully retrieved.",
"meta": {
"total": 3223
},
"total": 3223,
"response": [
{
"id": "9b696944-7b08-43b0-b828-be9c4e4cdb00",
"strikeType": "GROUND",
"latitude": -16.0989034,
"longitude": 112.7473607,
"unixEpochSeconds": 1768439649,
"kA": -56.7
}
...
]
}